Veo 3.0 Preview Image-to-Video
Video
Veo 3.0 Preview Image-to-Video
POST
Veo 3.0 Preview Image-to-Video
Generate high-quality video content from input images and text descriptions using the Veo 3.0 Preview video generation model. This API uses asynchronous processing and requires querying the final result via task_id.
Request Headers
string
required
Enum:
application/jsonstring
required
Bearer authentication format: Bearer {{API Key}}.
Request Body
string
required
A text string describing the video you want to generate.
string
URL of the input image. Either image_url or image_base64 must be provided.
string
Base64-encoded input image.
string
Specifies the aspect ratio of the generated video.Enum:
16:9, 9:16. Default: 16:9.integer
The length of the video file you want to generate (in seconds).Enum:
4, 6, 8. Default: 8.boolean
Specifies whether to use Gemini to enhance your prompt.Default:
trueboolean
required
Specifies whether to generate audio for the video.
string
A text string describing content you want to prevent the model from generating.
string
Safety setting that controls whether person or face generation is allowed.Enum:
allow_adult(default): Only allows generating adultsdont_allow: Does not allow including people or faces in the image
string
Resolution of the generated video.Enum:
720p (default) or 1080pinteger
Number of video samples to generate.Range: 1-4
uint32
A number used to initialize the random generation process. Using the same seed, prompt, and other parameters produces the same output video, making the generation process deterministic.Range: 0-4,294,967,295
Response
string
required
The task_id of the async task. Use the task_id to call the Get Async Task Result API to retrieve the generated result.